name: XcodeProjectHub
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  generateEmptyDirectories: true

settings:
  base:
    PRODUCT_NAME: XcodeProjectHub
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    CODE_SIGN_STYLE: Automatic
    DEVELOPMENT_TEAM: ""
    ENABLE_HARDENED_RUNTIME: YES
    INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.developer-tools"
    INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright 2025. All rights reserved."

targets:
  XcodeProjectHub:
    type: application
    platform: macOS
    sources:
      - path: XcodeProjectHub
        excludes:
          - "**/.DS_Store"
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.XcodeProjectHub
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        COMBINE_HIDPI_IMAGES: YES
        INFOPLIST_GENERATION_MODE: GeneratedFile
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_KEY_CFBundleDisplayName: XcodeProjectHub
        INFOPLIST_KEY_LSUIElement: NO
    entitlements:
      path: XcodeProjectHub/XcodeProjectHub.entitlements
      properties:
        com.apple.security.app-sandbox: false
        com.apple.security.files.user-selected.read-write: true
